### Struct

# WebKit NetworkProxySettings

#### Description [src]

    struct WebKitNetworkProxySettings {
      /* No available fields */
    }

Configures network proxies.

WebKitNetworkProxySettings can be used to provide a custom proxy configuration to a `WebKitNetworkSession`. You need to call `webkit_network_session_set_network_proxy_settings()` with `WEBKIT_NETWORK_PROXY_MODE_CUSTOM` and a WebKitNetworkProxySettings.

Available since: | 2.16

#### Constructors

###### webkit_network_proxy_settings_new

Create a new `WebKitNetworkProxySettings` with the given `default_proxy_uri` and `ignore_hosts`.

Available since: 2.16

#### Instance methods

###### webkit_network_proxy_settings_add_proxy_for_scheme

Adds a URI-scheme-specific proxy.

Available since: 2.16

###### webkit_network_proxy_settings_copy

Make a copy of the `WebKitNetworkProxySettings`.

Available since: 2.16

###### webkit_network_proxy_settings_free

Free the `WebKitNetworkProxySettings`.

Available since: 2.16